diff --git a/src/gui/res/lang/gui_cs-CZ.ts b/src/gui/res/lang/gui_cs-CZ.ts
index 3c406828..54772437 100644
--- a/src/gui/res/lang/gui_cs-CZ.ts
+++ b/src/gui/res/lang/gui_cs-CZ.ts
@@ -26,15 +26,7 @@ Synergy is based on CosmoSynergy by Richard Lee and Adam Feder.&lt;br /&gt;
 The Synergy GUI is based on QSynergy by Volker Lanz.&lt;br /&gt;&lt;br /&gt;
 Visit our website for help and info (synergy-project.org).
 &lt;/p&gt;</oldsource>
-        <translation type="finished">&lt;p&gt;
-Aplikace ke sdílení klávesnice a myši. Multiplatformní a s otevřeným kódem.&lt;br /&gt;&lt;br /&gt;
-Copyright © 2012 Synergy Si Ltd.&lt;br /&gt;
-Copyright © 2002-2012 Chris Schoeneman, Nick Bolton, Volker Lanz.&lt;br /&gt;&lt;br /&gt;
-Synergy je vydaná pod GNU General Public License (GPLv2).&lt;br /&gt;&lt;br /&gt;
-Synergy je založena na CosmoSynergy od Richarda Lee a Adama Federa.&lt;br /&gt;
-Grafické rozhraní je založeno na QSynergy od Volkera Lanze.&lt;br /&gt;&lt;br /&gt;
-Pro nápovědu a další informace navštivte naše stránky (synergy-project.org).
-&lt;/p&gt;</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="res/AboutDialogBase.ui" line="140"/>
@@ -67,27 +59,27 @@ Pro nápovědu a další informace navštivte naše stránky (synergy-project.or
     <message>
         <location filename="res/ActionDialogBase.ui" line="26"/>
         <source>Press a hotkey</source>
-        <translation type="finished">Stisknete klávesovou zkratku</translation>
+        <translation type="finished">Stisknout klávesovou zkratku</translation>
     </message>
     <message>
         <location filename="res/ActionDialogBase.ui" line="36"/>
         <source>Release a hotkey</source>
-        <translation type="finished">Uvolněte klávesovou zkratku</translation>
+        <translation type="finished">Pustit (uvolnit) klávesy zkratky</translation>
     </message>
     <message>
         <location filename="res/ActionDialogBase.ui" line="43"/>
         <source>Press and release a hotkey</source>
-        <translation type="finished">Stiskněte a uvolněte klávesovou zkratku</translation>
+        <translation type="finished">Stisknout a pustit (uvolnit) klávesy zkratky</translation>
     </message>
     <message>
         <location filename="res/ActionDialogBase.ui" line="69"/>
         <source>only on these screens</source>
-        <translation type="finished">jenom na těchto plochách</translation>
+        <translation type="finished">pouze na těchto obrazovkách</translation>
     </message>
     <message>
         <location filename="res/ActionDialogBase.ui" line="119"/>
         <source>Switch to screen</source>
-        <translation type="finished">Přepnout na plochu</translation>
+        <translation type="finished">Přepnout na obrazovku</translation>
     </message>
     <message>
         <location filename="res/ActionDialogBase.ui" line="150"/>
@@ -117,7 +109,7 @@ Pro nápovědu a další informace navštivte naše stránky (synergy-project.or
     <message>
         <location filename="res/ActionDialogBase.ui" line="201"/>
         <source>Lock cursor to screen</source>
-        <translation type="finished">Uzamknout kurzor na obrazovku</translation>
+        <translation type="finished">Uzamknout kurzor k obrazovce</translation>
     </message>
     <message>
         <location filename="res/ActionDialogBase.ui" line="225"/>
@@ -147,7 +139,25 @@ Pro nápovědu a další informace navštivte naše stránky (synergy-project.or
     <message>
         <location filename="res/ActionDialogBase.ui" line="264"/>
         <source>the hotkey is released</source>
-        <translation type="finished">je uvolněna klávesová zkratka</translation>
+        <translation type="finished">jsou puštěny (uvolněny) klávesy zkratky</translation>
+    </message>
+</context>
+<context>
+    <name>AddClientDialog</name>
+    <message>
+        <location filename="res/AddClientDialogBase.ui" line="20"/>
+        <source>Dialog</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/AddClientDialogBase.ui" line="35"/>
+        <source>TextLabel</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/AddClientDialogBase.ui" line="83"/>
+        <source>Ignore auto connect clients</source>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
@@ -160,176 +170,221 @@ Pro nápovědu a další informace navštivte naše stránky (synergy-project.or
     <message>
         <location filename="res/HotkeyDialogBase.ui" line="20"/>
         <source>Enter the specification for the hotkey:</source>
-        <translation type="finished">Vložte specifikaci klávesové zkratky:</translation>
+        <translation type="finished">Vytvořte klávesovou zkratku:</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="src/MainWindow.cpp" line="642"/>
+        <location filename="src/MainWindow.cpp" line="790"/>
         <source>&amp;Start</source>
         <translation type="finished">&amp;Spustit</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="196"/>
+        <location filename="src/MainWindow.cpp" line="237"/>
         <source>&amp;File</source>
         <translation type="finished">Soubor</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="197"/>
+        <location filename="src/MainWindow.cpp" line="238"/>
         <source>&amp;Edit</source>
-        <translation type="finished">Změnit</translation>
+        <translation type="finished">Upra&amp;vit</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="198"/>
+        <location filename="src/MainWindow.cpp" line="239"/>
         <source>&amp;Window</source>
-        <translation type="finished">Okno</translation>
+        <translation type="finished">O&amp;kno</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="199"/>
+        <location filename="src/MainWindow.cpp" line="240"/>
         <source>&amp;Help</source>
-        <translation type="finished">&amp;Pomoc</translation>
+        <translation type="finished">&amp;Nápověda</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="326"/>
-        <source>&lt;p&gt;Version %1 is now available, &lt;a href=&quot;%2&quot;&gt;visit website&lt;/a&gt;.&lt;/p&gt;</source>
-        <translation type="finished">&lt;p&gt;Je dostupná verze %1, &lt;a href=&quot;%2&quot;&gt;navštívit stránku&lt;/a&gt;.&lt;/p&gt;</translation>
+        <location filename="src/MainWindow.cpp" line="364"/>
+        <source>&lt;p&gt;Your version of Synergy is out of date. Version &lt;b&gt;%1&lt;/b&gt; is now available to &lt;a href=&quot;%2&quot;&gt;download&lt;/a&gt;.&lt;/p&gt;</source>
+        <oldsource>&lt;p&gt;Version %1 is now available, &lt;a href=&quot;%2&quot;&gt;visit website&lt;/a&gt;.&lt;/p&gt;</oldsource>
+        <translation type="finished">&lt;p&gt;Používáte starou verzi aplikace Synergy. Ke &lt;a href=&quot;%2&quot;&gt;stažení&lt;/a&gt; je nyní již verze &lt;b&gt;%1&lt;/b&gt;.&lt;/p&gt;</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="458"/>
+        <location filename="src/MainWindow.cpp" line="577"/>
         <source>Program can not be started</source>
-        <translation type="finished">Program nemůže být spuštěn</translation>
+        <translation type="finished">Program nelze spustit</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="458"/>
+        <location filename="src/MainWindow.cpp" line="577"/>
         <source>The executable&lt;br&gt;&lt;br&gt;%1&lt;br&gt;&lt;br&gt;could not be successfully started, although it does exist. Please check if you have sufficient permissions to run this program.</source>
-        <translation type="finished">Program &lt;br&gt;&lt;br&gt;%1&lt;br&gt;&lt;br&gt; nelze úspěšně spustit. Prosím zkontrolujte máte-li potřebná práva ke spuštění programu.</translation>
+        <translation type="finished">Program &lt;br&gt;&lt;br&gt;%1&lt;br&gt;&lt;br&gt; existuje, ale nelze jej spustit. Ověřte, zda máte potřebná (souborová) oprávnění ke spuštění tohoto programu.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="477"/>
+        <location filename="src/MainWindow.cpp" line="596"/>
         <source>Synergy client not found</source>
         <translation type="finished">Synergy klient nebyl nalezen</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="478"/>
+        <location filename="src/MainWindow.cpp" line="597"/>
         <source>The executable for the synergy client does not exist.</source>
-        <translation type="finished">Program pro synergy klienta neexistuje.</translation>
+        <translation type="finished">Spustitelný soubor s programem Synergy klienta neexistuje.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="485"/>
+        <location filename="src/MainWindow.cpp" line="625"/>
         <source>Hostname is empty</source>
         <translation type="finished">Nevyplněn cílový počítač</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="486"/>
+        <location filename="src/MainWindow.cpp" line="626"/>
         <source>Please fill in a hostname for the synergy client to connect to.</source>
-        <translation type="finished">Prosím vyplňte adresu cílového počítače ke kterému se chcete připojit.</translation>
+        <translation type="finished">Vyplňte adresu cílového počítače ke kterému se Synergy klient má připojit.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="511"/>
+        <location filename="src/MainWindow.cpp" line="646"/>
         <source>Cannot write configuration file</source>
-        <translation type="finished">Nemohu uložit soubor s konfigurací</translation>
+        <translation type="finished">Do souboru s nastaveními nelze zapisovat</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="511"/>
+        <location filename="src/MainWindow.cpp" line="646"/>
         <source>The temporary configuration file required to start synergy can not be written.</source>
-        <translation type="finished">Dočasný konfigurační soubor nutný pro spuštění synergy nemohl být uložen.</translation>
+        <translation type="finished">Do dočasného souboru s nastaveními, potřebného pro spuštění Synergy, nelze zapisovat.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="524"/>
+        <location filename="src/MainWindow.cpp" line="659"/>
         <source>Configuration filename invalid</source>
-        <translation type="finished">Neplatný název konfiguračního souboru.</translation>
+        <translation type="finished">Neplatný název souboru s nastaveními.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="525"/>
+        <location filename="src/MainWindow.cpp" line="660"/>
         <source>You have not filled in a valid configuration file for the synergy server. Do you want to browse for the configuration file now?</source>
-        <translation type="finished">Nevyplnili jste validní konfigurační soubor pro synergy server. Chcete nyní tento konfigurační soubor otevřít?</translation>
+        <translation type="finished">Nevyplnili jste platný soubor s nastaveními pro synergy server. Chcete nyní určit umístění souboru s nastaveními?</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="552"/>
+        <location filename="src/MainWindow.cpp" line="688"/>
         <source>Synergy server not found</source>
         <translation type="finished">Synergy server nebyl nalezen</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="553"/>
+        <location filename="src/MainWindow.cpp" line="689"/>
         <source>The executable for the synergy server does not exist.</source>
-        <translation type="finished">Spouštěcí soubor pro synergy server neexistuje.</translation>
+        <translation type="finished">Spustitelný soubor s programem synergy serveru neexistuje.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="617"/>
+        <location filename="src/MainWindow.cpp" line="764"/>
         <source>Synergy terminated with an error</source>
-        <translation type="finished">Synergy ukončeno s chybou</translation>
+        <translation type="finished">Synergy bylo ukončeno s chybou</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="617"/>
+        <location filename="src/MainWindow.cpp" line="764"/>
         <source>Synergy terminated unexpectedly with an exit code of %1.&lt;br&gt;&lt;br&gt;Please see the log output for details.</source>
-        <translation type="finished">Neočekávané ukončení Synergy. návratový kód %1. &lt;br&gt;&lt;br&gt;Prosím zkontrolujte soubor s výpisem pro detaily.</translation>
+        <translation type="finished">Neočekávané ukončení Synergy. Běh skončil s kódem %1. &lt;br&gt;&lt;br&gt;Podrobnosti viz protokol.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="636"/>
+        <location filename="src/MainWindow.cpp" line="783"/>
         <source>&amp;Stop</source>
-        <translation type="finished">&amp;Zastavit</translation>
+        <translation type="finished">Za&amp;stavit</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="659"/>
-        <source>service mode</source>
-        <translation type="finished">Mód služby</translation>
+        <location filename="src/MainWindow.cpp" line="1038"/>
+        <source>Please add the server (%1) to the grid.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="659"/>
-        <source>desktop mode</source>
-        <translation type="finished">Mód aplikace</translation>
+        <location filename="src/MainWindow.cpp" line="1044"/>
+        <source>Please drag the new client screen (%1) to the desired position on the grid.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="660"/>
-        <source>Synergy is running (%1).</source>
-        <translation type="finished">Synergy běží (%1).</translation>
+        <location filename="src/MainWindow.cpp" line="1147"/>
+        <source>Failed to detect system architecture.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="821"/>
-        <source>Elevate Synergy</source>
-        <translation type="finished">Povýšit Synergy</translation>
+        <location filename="src/MainWindow.cpp" line="1165"/>
+        <source>Cancel</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="822"/>
-        <source>Are you sure you want to elevate Synergy?
+        <location filename="src/MainWindow.cpp" line="1189"/>
+        <source>Failed to download Bonjour installer to location: %1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="1226"/>
+        <source>Do you want to enable auto config and install Bonjour?
 
-This allows Synergy to interact with elevated processes and the UAC dialog, but can cause problems with non-elevated processes. Elevate Synergy only if you really need to.</source>
-        <translation type="finished">Opravdu chcete zvýšit uživatelská oprávnění pro Synergy?
-To Synergy umožní pracovat s procesy se zvýšenými oprávněními a s UAC dialogem, ale může působit problémy aplikacím s běžnými oprávněními. Tuto možnost byste měli využít, pouze pokud ji opravdu potřebujete.</translation>
+This feature helps you establish the connection.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="664"/>
+        <location filename="src/MainWindow.cpp" line="1270"/>
+        <source>Auto config feature requires Bonjour.
+
+Do you want to install Bonjour?</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="815"/>
         <source>Synergy is starting.</source>
         <translation type="finished">Synergy se spouští.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="667"/>
-        <source>Synergy is not running.</source>
-        <translation type="finished">Synergy neběží.</translation>
+        <location filename="src/MainWindow.cpp" line="809"/>
+        <source>Synergy is running.</source>
+        <translation type="finished">Synergy je spuštěné.</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="724"/>
+        <location filename="src/MainWindow.cpp" line="819"/>
+        <source>Synergy is not running.</source>
+        <translation type="finished">Synergy není spuštěné.</translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="870"/>
         <source>Unknown</source>
         <translation type="finished">Neznámá</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="762"/>
+        <location filename="src/MainWindow.cpp" line="1146"/>
+        <location filename="src/MainWindow.cpp" line="1225"/>
+        <location filename="src/MainWindow.cpp" line="1269"/>
+        <source>Synergy</source>
+        <translation type="finished">Synergy</translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="987"/>
         <source>Browse for a synergys config file</source>
-        <translation type="finished">Otevřít existující konfiguraci synergys</translation>
+        <translation type="finished">Otevřít existující soubor s nastaveními pro synergy</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="775"/>
+        <location filename="src/MainWindow.cpp" line="408"/>
+        <source>Synergy is now connected, You can close the config window. Synergy will remain connected in the background.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="434"/>
+        <source>Security question</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="435"/>
+        <source>Do you trust this fingerprint?
+
+%1
+
+This is a server fingerprint. You should compare this fingerprint to the one on your server's screen. If the two don't match exactly, then it's probably not the server you're expecting (it could be a malicious user).
+
+To automatically trust this fingerprint for future connections, click Yes. To reject this fingerprint and disconnect from the server, click No.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/MainWindow.cpp" line="1000"/>
         <source>Save configuration as...</source>
-        <translation type="finished">Uložit nastavení jako</translation>
+        <translation type="finished">Uložit nastavení jako…</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="779"/>
+        <location filename="src/MainWindow.cpp" line="1004"/>
         <source>Save failed</source>
-        <translation type="finished">Uložení selhalo</translation>
+        <translation type="finished">Uložení se nezdařilo</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="779"/>
+        <location filename="src/MainWindow.cpp" line="1004"/>
         <source>Could not save configuration to file.</source>
         <translation type="finished">Nelze uložit nastavení do souboru.</translation>
     </message>
@@ -342,158 +397,163 @@ To Synergy umožní pracovat s procesy se zvýšenými oprávněními a s UAC di
         <translation type="finished">Synergy</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="54"/>
+        <location filename="res/MainWindowBase.ui" line="90"/>
+        <source>Ser&amp;ver (share this computer's mouse and keyboard):</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="243"/>
         <source>Screen name:</source>
         <translation type="finished">Název obrazovky:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="61"/>
+        <location filename="res/MainWindowBase.ui" line="257"/>
         <source>&amp;Server IP:</source>
-        <translation type="finished">IP serveru:</translation>
+        <translation type="finished">IP &amp;adresa &amp;serveru:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="160"/>
-        <location filename="res/MainWindowBase.ui" line="315"/>
+        <location filename="res/MainWindowBase.ui" line="380"/>
+        <location filename="res/MainWindowBase.ui" line="409"/>
         <source>&amp;Start</source>
         <translation type="finished">&amp;Spustit</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="187"/>
-        <source>&amp;Server (share this computer's mouse and keyboard):</source>
-        <translation type="finished">&amp;Server (sdílet myš a klávesnici tohoto počítače)</translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="254"/>
+        <location filename="res/MainWindowBase.ui" line="181"/>
         <source>Use existing configuration:</source>
         <translation type="finished">Použít existující nastavení:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="263"/>
+        <location filename="res/MainWindowBase.ui" line="190"/>
         <source>&amp;Configuration file:</source>
-        <translation type="finished">&amp;Soubor s nastavením:</translation>
+        <translation type="finished">Sou&amp;bor s nastaveními:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="283"/>
+        <location filename="res/MainWindowBase.ui" line="210"/>
         <source>&amp;Browse...</source>
-        <translation type="finished">&amp;Procházet</translation>
+        <translation type="finished">Pr&amp;ocházet…</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="220"/>
+        <location filename="res/MainWindowBase.ui" line="147"/>
         <source>Configure interactively:</source>
         <translation type="finished">Interaktivní nastavení:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="232"/>
+        <location filename="res/MainWindowBase.ui" line="159"/>
         <source>&amp;Configure Server...</source>
-        <translation type="finished">&amp;Nastavit Server</translation>
+        <translation type="finished">N&amp;astavit Server…</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="39"/>
-        <source>&amp;Client (use another computer's keyboard and mouse):</source>
-        <translation type="finished">Klient (používat myš a klávesni&amp;ci jiného počítače):</translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="84"/>
+        <location filename="res/MainWindowBase.ui" line="350"/>
         <source>Ready</source>
         <translation type="finished">Připraven</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="91"/>
+        <location filename="res/MainWindowBase.ui" line="296"/>
         <source>Log</source>
-        <translation type="finished">Výpis</translation>
+        <translation type="finished">Protokol</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="167"/>
+        <location filename="res/MainWindowBase.ui" line="373"/>
         <source>&amp;Apply</source>
         <translation type="finished">&amp;Použít</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="174"/>
-        <source>&amp;Elevate</source>
-        <translation type="finished">Zvýšit oprávnění</translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="204"/>
+        <location filename="res/MainWindowBase.ui" line="107"/>
         <source>IP addresses:</source>
         <translation type="finished">IP adresy:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="296"/>
+        <location filename="res/MainWindowBase.ui" line="131"/>
+        <source>Fingerprint:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="228"/>
+        <source>&amp;Client (use another computer's mouse and keyboard):</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="270"/>
+        <source>Auto config</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="390"/>
         <source>&amp;About Synergy...</source>
-        <translation type="finished">&amp;O Synergy</translation>
+        <translation type="finished">&amp;O Synergy…</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="304"/>
+        <location filename="res/MainWindowBase.ui" line="398"/>
         <source>&amp;Quit</source>
-        <translation type="finished">&amp;Konec</translation>
+        <translation type="finished">&amp;Ukončit</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="307"/>
+        <location filename="res/MainWindowBase.ui" line="401"/>
         <source>Quit</source>
-        <translation type="finished">Konec</translation>
+        <translation type="finished">Ukončit</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="318"/>
+        <location filename="res/MainWindowBase.ui" line="412"/>
         <source>Run</source>
-        <translation type="finished">Běží</translation>
+        <translation type="finished">Spustit</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="329"/>
+        <location filename="res/MainWindowBase.ui" line="423"/>
         <source>S&amp;top</source>
         <translation type="finished">Zas&amp;tavit</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="332"/>
+        <location filename="res/MainWindowBase.ui" line="426"/>
         <source>Stop</source>
         <translation type="finished">Zastavit</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="340"/>
+        <location filename="res/MainWindowBase.ui" line="434"/>
         <source>S&amp;how Status</source>
         <translation type="finished">Zobrazit stav</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="348"/>
+        <location filename="res/MainWindowBase.ui" line="442"/>
         <source>&amp;Hide</source>
         <translation type="finished">Skrýt</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="351"/>
+        <location filename="res/MainWindowBase.ui" line="445"/>
         <source>Hide</source>
         <translation type="finished">Skrýt</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="359"/>
+        <location filename="res/MainWindowBase.ui" line="453"/>
         <source>&amp;Show</source>
-        <translation type="finished">Zobrazit</translation>
+        <translation type="finished">&amp;Zobrazit</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="362"/>
+        <location filename="res/MainWindowBase.ui" line="456"/>
         <source>Show</source>
         <translation type="finished">Zobrazit</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="370"/>
+        <location filename="res/MainWindowBase.ui" line="464"/>
         <source>Save configuration &amp;as...</source>
-        <translation type="finished">Uložit nastavení &amp;jako</translation>
+        <translation type="finished">Uložit nastavení j&amp;ako…</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="373"/>
+        <location filename="res/MainWindowBase.ui" line="467"/>
         <source>Save the interactively generated server configuration to a file.</source>
-        <translation type="finished">Uložit interaktivně vytvořenou konfiguraci serveru do souboru.</translation>
+        <translation type="finished">Uložit interaktivně vytvořené nastavení serveru do souboru.</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="381"/>
+        <location filename="res/MainWindowBase.ui" line="475"/>
         <source>Settings</source>
         <translation type="finished">Nastavení</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="384"/>
+        <location filename="res/MainWindowBase.ui" line="478"/>
         <source>Edit settings</source>
-        <translation type="finished">Změnit nastavení</translation>
+        <translation type="finished">Upravit nastavení</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="392"/>
+        <location filename="res/MainWindowBase.ui" line="486"/>
         <source>Run Wizard</source>
         <translation type="finished">Spustit průvodce</translation>
     </message>
